precision mediump float;

uniform sampler2D uParticleTextureUnit;

varying lowp vec4 vPaletteColor;
varying vec2 vParticleTextureCoordinate;
varying lowp float vAlpha;

void main () {
    lowp vec4 particleTextureColor = texture2D(uParticleTextureUnit, vParticleTextureCoordinate);
    gl_FragColor = particleTextureColor * vPaletteColor * vAlpha;
}