precision mediump float;

uniform sampler2D uPaletteTextureUnit;
uniform sampler2D uParticleTextureUnit;

varying vec2 vParticleTextureCoordinate;
varying vec2 vPaletteTextureCoordinate;
varying lowp float vAlpha;

void main () {
    vec4 particleTextureColor = texture2D(uParticleTextureUnit, vParticleTextureCoordinate);
    vec4 paletteTextureColor = texture2D(uPaletteTextureUnit, vPaletteTextureCoordinate);
    gl_FragColor = particleTextureColor * paletteTextureColor * vAlpha;
}